package com.antai.sport.http.server.server.api.business.course.controller;

import com.antai.sport.http.server.common.base.Result;
import com.antai.sport.http.server.server.api.business.course.service.CourseService;
import com.antai.sport.http.server.server.api.business.course.vo.CourseTypeVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

import static com.antai.sport.http.server.common.util.ResultUtil.success;

@RestController
@RequestMapping("course")
@Api(tags = {"课程训练接口"})
public class CourseController {

    @Resource
    private CourseService courseService;

    @GetMapping("tree")
    @ApiOperation(value = "课程树")
    public ResponseEntity<Result<List<CourseTypeVO>>> getCourseTree() {
        return success(courseService.getCourseTree());
    }
}
